import request from '@/utils/request'

// 查询个微营期列表
export function listWxSopUser(query) {
  return request({
    url: '/wx/wxSopUser/list',
    method: 'get',
    params: query
  })
}

// 查询个微营期详细
export function getWxSopUser(id) {
  return request({
    url: '/wx/wxSopUser/' + id,
    method: 'get'
  })
}

// 新增个微营期
export function addWxSopUser(data) {
  return request({
    url: '/wx/wxSopUser',
    method: 'post',
    data: data
  })
}

// 修改个微营期
export function updateWxSopUser(data) {
  return request({
    url: '/wx/wxSopUser',
    method: 'put',
    data: data
  })
}

// 删除个微营期
export function delWxSopUser(id) {
  return request({
    url: '/wx/wxSopUser/' + id,
    method: 'delete'
  })
}

// 导出个微营期
export function exportWxSopUser(query) {
  return request({
    url: '/wx/wxSopUser/export',
    method: 'get',
    params: query
  })
}
